# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentIdVersionsBody6(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'time_column': 'ParametersexperimentVersiontimeColumn',
        'start_dw': 'ParametersexperimentVersionstartDw',
        'end_dw': 'ParametersexperimentVersionendDw',
        'start_fw': 'ParametersexperimentVersionstartFw',
        'end_fw': 'ParametersexperimentVersionendFw',
        'group_list': 'ParametersexperimentVersiongroupList',
        'apriori_list': 'ParametersexperimentVersionaprioriList'
    }

    attribute_map = {
        'time_column': 'time_column',
        'start_dw': 'start_dw',
        'end_dw': 'end_dw',
        'start_fw': 'start_fw',
        'end_fw': 'end_fw',
        'group_list': 'group_list',
        'apriori_list': 'apriori_list'
    }

    def __init__(self, time_column=None, start_dw=None, end_dw=None, start_fw=None, end_fw=None, group_list=None, apriori_list=None):  # noqa: E501
        """ExperimentIdVersionsBody6 - a model defined in Swagger"""  # noqa: E501
        self._time_column = None
        self._start_dw = None
        self._end_dw = None
        self._start_fw = None
        self._end_fw = None
        self._group_list = None
        self._apriori_list = None
        self.discriminator = None
        if time_column is not None:
            self.time_column = time_column
        if start_dw is not None:
            self.start_dw = start_dw
        if end_dw is not None:
            self.end_dw = end_dw
        if start_fw is not None:
            self.start_fw = start_fw
        if end_fw is not None:
            self.end_fw = end_fw
        if group_list is not None:
            self.group_list = group_list
        if apriori_list is not None:
            self.apriori_list = apriori_list

    @property
    def time_column(self):
        """Gets the time_column of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The time_column of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersiontimeColumn
        """
        return self._time_column

    @time_column.setter
    def time_column(self, time_column):
        """Sets the time_column of this ExperimentIdVersionsBody6.


        :param time_column: The time_column of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersiontimeColumn
        """

        self._time_column = time_column

    @property
    def start_dw(self):
        """Gets the start_dw of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The start_dw of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersionstartDw
        """
        return self._start_dw

    @start_dw.setter
    def start_dw(self, start_dw):
        """Sets the start_dw of this ExperimentIdVersionsBody6.


        :param start_dw: The start_dw of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersionstartDw
        """

        self._start_dw = start_dw

    @property
    def end_dw(self):
        """Gets the end_dw of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The end_dw of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersionendDw
        """
        return self._end_dw

    @end_dw.setter
    def end_dw(self, end_dw):
        """Sets the end_dw of this ExperimentIdVersionsBody6.


        :param end_dw: The end_dw of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersionendDw
        """

        self._end_dw = end_dw

    @property
    def start_fw(self):
        """Gets the start_fw of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The start_fw of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersionstartFw
        """
        return self._start_fw

    @start_fw.setter
    def start_fw(self, start_fw):
        """Sets the start_fw of this ExperimentIdVersionsBody6.


        :param start_fw: The start_fw of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersionstartFw
        """

        self._start_fw = start_fw

    @property
    def end_fw(self):
        """Gets the end_fw of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The end_fw of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersionendFw
        """
        return self._end_fw

    @end_fw.setter
    def end_fw(self, end_fw):
        """Sets the end_fw of this ExperimentIdVersionsBody6.


        :param end_fw: The end_fw of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersionendFw
        """

        self._end_fw = end_fw

    @property
    def group_list(self):
        """Gets the group_list of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The group_list of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersiongroupList
        """
        return self._group_list

    @group_list.setter
    def group_list(self, group_list):
        """Sets the group_list of this ExperimentIdVersionsBody6.


        :param group_list: The group_list of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersiongroupList
        """

        self._group_list = group_list

    @property
    def apriori_list(self):
        """Gets the apriori_list of this ExperimentIdVersionsBody6.  # noqa: E501


        :return: The apriori_list of this ExperimentIdVersionsBody6.  # noqa: E501
        :rtype: ParametersexperimentVersionaprioriList
        """
        return self._apriori_list

    @apriori_list.setter
    def apriori_list(self, apriori_list):
        """Sets the apriori_list of this ExperimentIdVersionsBody6.


        :param apriori_list: The apriori_list of this ExperimentIdVersionsBody6.  # noqa: E501
        :type: ParametersexperimentVersionaprioriList
        """

        self._apriori_list = apriori_list

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentIdVersionsBody6, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentIdVersionsBody6):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
